[Previous] [Next] [Contents]

## `SG::SgTranspo` -- returns a transposition

#### Call(s)

`SG::SgTranspo(i <,j> <,n>)`

#### Parameters

`n` | - | degree of a symmetric group (positive integer)
`i` | - | any positive integer
`j` | - | any positive integer

#### Introduction

The `SG::SgTranspo` function returns a transposition, that is a permutation interchanging two values and fixing all others.

- ``SG::SgTranspo`(i)=[1, ..., i+1, i]`.
- ``SG::SgTranspo`(i,n) =[1, ..., i+1, i, ..., n]`.
- ``SG::SgTranspo`(i,j,n) =[1, ..., j, ..., i, ..., n]`.

#### Example 1

    >> muEC::SG::SgTranspo( 2, 6 );

                                [1, 3, 2, 4, 5, 6]

    >> muEC::SG::SgTranspo( 3, 5, 7 );

                               [1, 2, 5, 4, 3, 6, 7]

#### Related Functions

``

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package